Package org.lwjgl.opengl

# Class APPLEElementArray

java.lang.Object
org.lwjgl.opengl.APPLEElementArray

public final class APPLEElementArray extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ELEMENT_ARRAY_APPLE`
Accepted by the <array> parameter of EnableClientState and DisableClientState and the <value> parameter of IsEnabled:
`static final int`
`GL_ELEMENT_ARRAY_POINTER_APPLE`
Accepted by the <pname> parameter of GetPointerv:
`static final int`
`GL_ELEMENT_ARRAY_TYPE_APPLE`
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDrawElementArrayAPPLE(int mode, int first, int count)`
`static void`
`glDrawRangeElementArrayAPPLE(int mode, int start, int end, int first, int count)`
`static void`
`glElementPointerAPPLE(ByteBuffer pointer)`
`static void`
`glElementPointerAPPLE(IntBuffer pointer)`
`static void`
`glElementPointerAPPLE(ShortBuffer pointer)`
`static void`
`glMultiDrawElementArrayAPPLE(int mode, IntBuffer first, IntBuffer count)`
`static void`
`glMultiDrawRangeElementArrayAPPLE(int mode, int start, int end, IntBuffer first, IntBuffer count)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_ELEMENT_ARRAY_APPLE

public static final int GL_ELEMENT_ARRAY_APPLE
Accepted by the <array> parameter of EnableClientState and DisableClientState and the <value> parameter of IsEnabled:

See Also:
  - Constant Field Values

### GL_ELEMENT_ARRAY_TYPE_APPLE

public static final int GL_ELEMENT_ARRAY_TYPE_APPLE
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_ELEMENT_ARRAY_POINTER_APPLE

public static final int GL_ELEMENT_ARRAY_POINTER_APPLE
Accepted by the <pname> parameter of GetPointerv:

See Also:
  - Constant Field Values

## Method Details

### glElementPointerAPPLE

public static void glElementPointerAPPLE(ByteBuffer pointer)

### glElementPointerAPPLE

public static void glElementPointerAPPLE(IntBuffer pointer)

### glElementPointerAPPLE

public static void glElementPointerAPPLE(ShortBuffer pointer)

### glDrawElementArrayAPPLE

public static void glDrawElementArrayAPPLE(int mode, int first, int count)

### glDrawRangeElementArrayAPPLE

public static void glDrawRangeElementArrayAPPLE(int mode, int start, int end, int first, int count)

### glMultiDrawElementArrayAPPLE

public static void glMultiDrawElementArrayAPPLE(int mode, IntBuffer first, IntBuffer count)

### glMultiDrawRangeElementArrayAPPLE

public static void glMultiDrawRangeElementArrayAPPLE(int mode, int start, int end, IntBuffer first, IntBuffer count)